Get Mattermost integration
curl --request GET \
--url https://cloud.kaneo.app/api/mattermost-integration/project/{projectId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://cloud.kaneo.app/api/mattermost-integration/project/{projectId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://cloud.kaneo.app/api/mattermost-integration/project/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"projectId": "<string>",
"channelName": "<string>",
"webhookConfigured": true,
"maskedWebhookUrl": "<string>",
"events": {
"taskCreated": true,
"taskStatusChanged": true,
"taskPriorityChanged": true,
"taskTitleChanged": true,
"taskDescriptionChanged": true,
"taskCommentCreated": true
},
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}"<string>""<string>"Mattermost
Get Mattermost integration
Get the Mattermost integration for a project, or null when none is configured.
GET
/
mattermost-integration
/
project
/
{projectId}
Get Mattermost integration
Authorizations
API key or session token (Bearer)
Path Parameters
Response
object | null
Mattermost integration details, or null
The webhook URL with its secret path segment masked, or an empty string when none is set.
Show child attributes
Show child attributes
Was this page helpful?
⌘I